//
//  YHMyGoodFriendsVC.swift
//  galaxy
//
//  Created by edy on 2024/6/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHMyGoodFriendsVC: YHBaseViewController {
    
    lazy var tableView: UITableView = {
        let tableView = UITableView(frame:.zero, style:.grouped)
        tableView.estimatedSectionHeaderHeight = 100
        tableView.showsVerticalScrollIndicator = false
        tableView.separatorStyle = .none
        tableView.delegate = self
        tableView.dataSource = self
        tableView.backgroundColor = UIColor(hex: 0xF8FAFB)
        tableView.register(UITableViewCell.self, forCellReuseIdentifier: "UITableViewCell")
        tableView.register(YHMyFriendsCell.self, forCellReuseIdentifier: YHMyFriendsCell.cellReuseIdentifier)
        tableView.contentInset = UIEdgeInsets(top: YHFriendsRequestView.height+16, left: 0, bottom: 0, right: 0)
        tableView.addSubview(self.friendRequestView)
        tableView.backgroundView = self.emptyDataTipsView
        return tableView
    }()
    
    lazy var friendRequestView:YHFriendsRequestView = {
        let view = YHFriendsRequestView(frame: CGRectMake(0, -16-YHFriendsRequestView.height, KScreenWidth-16*2, YHFriendsRequestView.height))
        view.acceptBlock = {
            [weak self] accept in
            guard let self = self else { return }
            self.tableView.contentInset = UIEdgeInsets.zero
            self.friendRequestView.removeFromSuperview()
        }
        return view
    }()
    
    lazy var emptyDataTipsView: YHEmptyDataView = {
        let view = YHEmptyDataView.createView("暂无好友", kNoFriendsBgName)
        view.topMargin = 222
        view.isHidden = true
        return view
    }()
    
    var friendsArr:[String] = []

    override func viewDidLoad() {
        super.viewDidLoad()
        gk_navTitle = "我的好友"
        gk_navigationBar.backgroundColor = .white
        self.view.backgroundColor = UIColor(hex: 0xF8FAFB)
        self.view.addSubview(self.tableView)
        self.tableView.snp.makeConstraints { make in
            make.left.equalTo(16)
            make.right.equalTo(-16)
            make.bottom.equalToSuperview()
            make.top.equalToSuperview().offset(16+k_Height_NavigationtBarAndStatuBar)
        }
    }
}

extension YHMyGoodFriendsVC: UITableViewDelegate, UITableViewDataSource {
    
    func numberOfSections(in tableView: UITableView) -> Int {
        if self.friendsArr.count > 0 {
            return 1
        }
        return 0
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return friendsArr.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: YHMyFriendsCell.cellReuseIdentifier, for: indexPath) as! YHMyFriendsCell
        if 0 <= indexPath.row && indexPath.row < friendsArr.count {
        }
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 101
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        
        if 0 <= indexPath.row && indexPath.row < friendsArr.count {
            
        }
    }
    
    func tableView(_ tableView: UITableView, heightForHeaderInSection section: Int) -> CGFloat {
        return 52.0
    }
    
    func tableView(_ tableView: UITableView, viewForHeaderInSection section: Int) -> UIView? {
        let view = UIView(frame: CGRect(x: 0, y: 0, width: KScreenWidth-16.0*2, height: 52))
        view.backgroundColor = .white
        
        let titleLabel = UILabel()
        titleLabel.text = "好友列表"
        titleLabel.textColor = UIColor.mainTextColor
        titleLabel.textAlignment = .left
        titleLabel.font = UIFont.PFSC_M(ofSize:16)
        view.addSubview(titleLabel)
        
        let corner = UIRectCorner(rawValue: UIRectCorner.topLeft.rawValue | UIRectCorner.topRight.rawValue)
        let path = UIBezierPath(roundedRect:view.bounds,byRoundingCorners: corner,cornerRadii:CGSizeMake(6.0, 6.0))
        let layer = CAShapeLayer()
        layer.frame = view.bounds
        layer.path = path.cgPath
        view.layer.mask = layer
        
        titleLabel.snp.makeConstraints { make in
            make.left.equalTo(16)
            make.top.equalTo(16)
            make.height.equalTo(22)
        }
        return view
    }

}
