//
//  YHFriendsRequestView.swift
//  galaxy
//
//  Created by edy on 2024/6/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHFriendsRequestView: UIView {
    
    var acceptBlock:((Bool)->())?
    
    static let height = 218.0

    lazy var titleLabel: UILabel = {
        let titleLabel = UILabel()
        titleLabel.text = "好友请求"
        titleLabel.textColor = UIColor.mainTextColor
        titleLabel.textAlignment = .left
        titleLabel.font = UIFont.PFSC_M(ofSize:16)
        return titleLabel
    }()
    
    lazy var cardView: UIView = {
        let view = UIView()
        view.backgroundColor = .white
        let bgImgView = UIImageView(image: UIImage(named: "people_add_friend_bg"))
        view.addSubview(bgImgView)
        view.layer.cornerRadius = 3.0
        return view
    }()
    
    lazy var headImgV:UIImageView = {
        let view = UIImageView()
        view.layer.cornerRadius = 23.0
        return view
    }()
    
    lazy var nameLabel:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_B(ofSize:16)
        return nameLabel
    }()
    
    lazy var signImgV:UIImageView = {
        let view = UIImageView()
        view.image = UIImage(named: "people_sign")
        return view
    }()
    
    lazy var professionalLabel:UILabel = {
        let label = UILabel()
        label.textColor = UIColor.mainTextColor70
        label.textAlignment = .left
        label.font = UIFont.PFSC_R(ofSize:13)
        return label
    }()
    
    lazy var msgContentView:UIView = {
        let view = UIView()
        view.backgroundColor = UIColor(hex: 0xF4F6FA)
        view.layer.cornerRadius = 3.0
        return view
    }()
    
    lazy var msgLabel:UILabel = {
        let label = UILabel()
        label.textColor = UIColor.mainTextColor50
        label.textAlignment = .left
        label.font = UIFont.PFSC_R(ofSize:13)
        return label
    }()
    
    lazy var ignoreBtn:UIButton = {
       let btn = UIButton()
        btn.setTitle("忽略", for: .normal)
        btn.backgroundColor = UIColor(hexString:"#F8F9FB")
        btn.setTitleColor(UIColor(hexString: "#222222"), for: .normal)
        btn.titleLabel?.font = .PFSC_M(ofSize: 13.6)
        btn.layer.cornerRadius = 2.75
        btn.addTarget(self, action: #selector(didIgnoreBtnClicked), for: .touchUpInside)
        return btn
    }()
    
    lazy var acceptBtn:UIButton = {
       let btn = UIButton()
        btn.setTitle("接受", for: .normal)
        btn.backgroundColor = UIColor.brandMainColor
        btn.setTitleColor(UIColor.white, for: .normal)
        btn.titleLabel?.font = .PFSC_M(ofSize: 13.6)
        btn.layer.cornerRadius = 2.75
        btn.addTarget(self, action: #selector(didAcceptBtnClicked), for: .touchUpInside)
        return btn
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        createUI()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    @objc func didIgnoreBtnClicked() {
        self.acceptBlock?(true)
    }
    
    @objc func didAcceptBtnClicked() {
        self.acceptBlock?(false)
    }
    
    func createUI() {
        self.addSubview(titleLabel)
        self.addSubview(cardView)
        cardView.addSubview(headImgV)
        cardView.addSubview(nameLabel)
        cardView.addSubview(signImgV)
        cardView.addSubview(professionalLabel)
        
        cardView.addSubview(msgContentView)
        msgContentView.addSubview(msgLabel)
        
        cardView.addSubview(ignoreBtn)
        cardView.addSubview(acceptBtn)
        
        self.headImgV.backgroundColor = .red
        self.nameLabel.text = "XASAFSDFASDXASAFSDFASDXASAFSDFASDXASAFSDFASD"
        self.professionalLabel.text = "咨询副总监 | 资讯科技及电讯"
        self.msgLabel.text = "sdfasdfasdfasfasfasfasfasdfasdfas"
        
        titleLabel.snp.makeConstraints { make in
            make.left.top.right.equalToSuperview()
            make.height.equalTo(22.0)
        }
        
        cardView.snp.makeConstraints { make in
            make.left.right.equalToSuperview()
            make.top.equalTo(titleLabel.snp.bottom).offset(16)
            make.height.equalTo(180.0)
        }
        
        headImgV.snp.makeConstraints { make in
            make.width.height.equalTo(46.0)
            make.left.equalTo(16)
            make.top.equalTo(16)
        }
        
        self.nameLabel.snp.makeConstraints { make in
            make.left.equalTo(self.headImgV.snp.right).offset(10)
            make.height.equalTo(22.0)
            make.top.equalTo(self.headImgV)
        }
        
        self.signImgV.snp.makeConstraints { make in
            make.width.equalTo(49)
            make.height.equalTo(16)
            make.centerY.equalTo(self.nameLabel)
            make.left.equalTo(self.nameLabel.snp.right).offset(8)
            make.right.lessThanOrEqualToSuperview().offset(-16)
        }
        
        self.professionalLabel.snp.makeConstraints { make in
            make.left.equalTo(self.nameLabel)
            make.right.equalTo(-16)
            make.top.equalTo(self.nameLabel.snp.bottom).offset(6)
            make.height.equalTo(18)
        }
        
        self.msgContentView.snp.makeConstraints { make in
            make.left.equalTo(16)
            make.right.equalTo(-16)
            make.top.equalTo(self.headImgV.snp.bottom).offset(16)
            make.height.equalTo(30)
        }
        
        self.msgLabel.snp.makeConstraints { make in
            make.left.top.equalTo(6)
            make.right.bottom.equalTo(-6)
        }
        
        self.ignoreBtn.snp.makeConstraints { make in
            make.left.equalTo(16)
            make.top.equalTo(self.msgContentView.snp.bottom).offset(16)
            make.width.equalTo(78)
            make.height.equalTo(40)
        }
        
        self.acceptBtn.snp.makeConstraints { make in
            make.left.equalTo(self.ignoreBtn.snp.right).offset(10)
            make.right.equalTo(-16)
            make.centerY.equalTo(self.ignoreBtn)
            make.height.equalTo(40)
        }
    }
}
